package com.spider.auth;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * 📝 TODO 权限认证
 * 🕟 2024/1/11 10:22
 * 👦 Lxj
 */
@SpringBootApplication
@EnableFeignClients(basePackages = "com.spider.**")
public class SpiderAuthApplication {

    public static void main(String[] args) {
        SpringApplication.run(SpiderAuthApplication.class,args);
        System.out.println("蜘蛛权限认证启动成功\n" +
                "#                       __        __                     \n" +
                "#                      |  \\      |  \\                    \n" +
                "#    _______   ______   \\$$  ____| $$  ______    ______  \n" +
                "#   /       \\ /      \\ |  \\ /      $$ /      \\  /      \\ \n" +
                "#  |  $$$$$$$|  $$$$$$\\| $$|  $$$$$$$|  $$$$$$\\|  $$$$$$\\\n" +
                "#   \\$$    \\ | $$  | $$| $$| $$  | $$| $$    $$| $$   \\$$\n" +
                "#   _\\$$$$$$\\| $$__/ $$| $$| $$__| $$| $$$$$$$$| $$      \n" +
                "#  |       $$| $$    $$| $$ \\$$    $$ \\$$     \\| $$      \n" +
                "#   \\$$$$$$$ | $$$$$$$  \\$$  \\$$$$$$$  \\$$$$$$$ \\$$      \n" +
                "#            | $$                                        \n" +
                "#            | $$                                        \n" +
                "#             \\$$                                        \n");
    }
}
