package com.spider.gateway;

import com.spider.gateway.config.GatewaySentinelConfig;
import com.spider.gateway.config.IgnoreWhiteConfig;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.Import;

/**
 * 📝 TODO 网关
 * 🕟 2024/1/11 9:48
 * 👦 Lxj
 */
@SpringBootApplication
@Import({GatewaySentinelConfig.class, IgnoreWhiteConfig.class})
public class SpiderGatewayApplication {

    public static void main(String[] args) {

        SpringApplication.run(SpiderGatewayApplication.class,args);
        System.out.println("蜘蛛网关启动成功\n" +
                "#                       __        __                     \n" +
                "#                      |  \\      |  \\                    \n" +
                "#    _______   ______   \\$$  ____| $$  ______    ______  \n" +
                "#   /       \\ /      \\ |  \\ /      $$ /      \\  /      \\ \n" +
                "#  |  $$$$$$$|  $$$$$$\\| $$|  $$$$$$$|  $$$$$$\\|  $$$$$$\\\n" +
                "#   \\$$    \\ | $$  | $$| $$| $$  | $$| $$    $$| $$   \\$$\n" +
                "#   _\\$$$$$$\\| $$__/ $$| $$| $$__| $$| $$$$$$$$| $$      \n" +
                "#  |       $$| $$    $$| $$ \\$$    $$ \\$$     \\| $$      \n" +
                "#   \\$$$$$$$ | $$$$$$$  \\$$  \\$$$$$$$  \\$$$$$$$ \\$$      \n" +
                "#            | $$                                        \n" +
                "#            | $$                                        \n" +
                "#             \\$$                                        \n");
    }
}
