package com.spider.system.controller;

import com.spider.common.domain.bo.EmpBo;
import com.spider.common.result.Result;
import com.spider.system.service.EmpService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 📝 TODO
 * 🕟 2024/1/19 11:35
 * 👦 Lxj
 */
@RestController
@RequestMapping("/emp")
public class EmpController {
    private final EmpService empService;

    public EmpController(EmpService empService) {
        this.empService = empService;

    }


    @GetMapping("queryEmp")
    public Result<List<EmpBo>> queryEmp() {

        return empService.getEmpList();
    }
}
