package com.spider.system.controller;

import com.spider.common.domain.Record;
import com.spider.common.result.Result;
import com.spider.system.service.RecordService;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 📝 TODO
 * 🕟 2024/1/19 12:39
 * 👦 Lxj
 */
@RestController
@RequestMapping("/record")
public class RecordController {
    private final RecordService recordService;

    public RecordController(RecordService recordService) {
        this.recordService = recordService;
    }


    /**
     * 进出登记
     * @return
     */
    @PostMapping("/entryExitReg")
    public Result<String> entryExitReg(@RequestBody Record record){
        return recordService.entryExitReg(record);
    }

    /**
     * 获取记录列表
     * @return
     */
    @GetMapping("/queryRecord")
    public Result<List<Record>> queryRecord(){
        return recordService.getRecordList();
    }
}
