package com.spider.system.mapper;

import com.spider.common.domain.Car;
import com.spider.common.domain.bo.CarBo;
import com.spider.common.domain.request.CarReq;
import com.spider.common.domain.response.CarRes;
import com.spider.common.domain.response.EchoCarRes;
import com.spider.common.result.Result;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * 📝 TODO
 * 🕟 2024/1/19 10:51
 * 👦 Lxj
 */
@Mapper
public interface CarMapper {

    List<CarRes> selectCarList(CarReq carReq);

    int updCarStateByCarId(@Param("carIds") String[] carIds);

    List<CarBo> selectCarAndEmpByCarId(@Param("carIds") String[] carIds);

    int insertCar(Car car);

    CarRes selectCarByCarId(@Param("carId") String carId);

    int updCarByCarId( Car car);

    EchoCarRes selectEchoCarResByCarId(@Param("carId") String carId);

    int updCarCountAndLatelyTimeByCarCard(@Param("carCard") String carCard);
}
