package com.spider.common.handler;

import com.spider.common.result.Result;
import org.springframework.validation.ObjectError;
import org.springframework.web.bind.MethodArgumentNotValidException;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * 📝 TODO
 * 🕟 2024/1/19 14:55
 * 👦 Lxj
 */
@RestControllerAdvice
public class ValidatedHandler {

    @ExceptionHandler
    public Result<String> validatedHandler(MethodArgumentNotValidException e){

        String error = "";

        for (ObjectError allError : e.getBindingResult().getAllErrors()) {
            String defaultMessage = allError.getDefaultMessage();

            error = defaultMessage+"\n";
        }

        return Result.error(error);
    }
}
