package com.spider.common.remote;

import com.spider.common.constant.ServerConstants;
import com.spider.common.domain.User;
import com.spider.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * 📝 TODO
 * 🕟 2024/1/19 9:43
 * 👦 Lxj
 */
@FeignClient(
        name = ServerConstants.SYSTEM_NAME
)
public interface UserRemote {
    /**
     * 查询用户信息
     * @param userAccount
     * @return
     */
    @PostMapping("/user/info/{userAccount}")
    Result<User> info(@PathVariable("userAccount") String userAccount);
}
