package com.spider.system.controller;

import com.spider.common.domain.User;
import com.spider.common.result.Result;
import com.spider.system.service.UserService;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 📝 TODO
 * 🕟 2024/1/19 9:45
 * 👦 Lxj
 */
@RestController
@RequestMapping("/user")
public class UserController {

    private final UserService userService;

    public UserController(UserService userService) {
        this.userService = userService;
    }

    /**
     * 查询用户信息
     * @param userAccount
     * @return
     */
    @PostMapping("/info/{userAccount}")
    public Result<User> info(@PathVariable("userAccount") String userAccount){
        return userService.getUserByAccount(userAccount);
    }
}
