package com.spider.system.service.impl;


import com.spider.common.domain.bo.EmpBo;
import com.spider.common.result.Result;
import com.spider.system.mapper.EmpMapper;
import com.spider.system.service.EmpService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 📝 TODO
 * 🕟 2024/1/19 11:35
 * 👦 Lxj
 */
@Service
public class EmpServiceImpl implements EmpService {

    private final EmpMapper empMapper;

    public EmpServiceImpl(EmpMapper empMapper) {
        this.empMapper = empMapper;
    }

    @Override
    public Result<List<EmpBo>> getEmpList() {

        return Result.success(empMapper.selectEmpList());
    }
}
